class BonusShield extends Bonus {
    constructor(name, scene, x, y, value) {
        super(name, scene, x, y, 'bonusShield', value);
    }

    useOn(robot) {
        robot.shield.valueMax = robot.shield.valueMax + this.value;
        robot.shield.value = robot.shield.value + this.val
        this.destroy();
    }
}